{% extends "consult_training/base_site.html" %}
{% load staticfiles %}

<!-- Read https://browserdiet.com/en/ -->

{% block site %} - Consultation{% endblock %}

{% block include_css %}
    <!-- cdn adresses :
    https://cdn.datatables.net/1.10.11/css/jquery.dataTables.min.css
    https://cdn.datatables.net/responsive/2.0.2/css/responsive.dataTables.min.css
    http://cdn.leafletjs.com/leaflet/v0.7.7/leaflet.css
    https://cdnjs.cloudflare.com/ajax/libs/leaflet.markercluster/0.5.0/MarkerCluster.Default.css
    -->
    <link rel="stylesheet" type="text/css"
          href="/static/consult_training/css/datatables-1.10.11.min.css">
    <link rel="stylesheet" type="text/css"
          href="/static/consult_training/css/responsive.datatables-2.0.2.min.css">
    <link rel="stylesheet" type="text/css"
          href="/static/consult_training/css/leaflet-0.7.7.css">
    <link rel="stylesheet" type="text/css"
          href="/static/consult_training/css/leaflet.markercluster-0.5.0.css">
    <!-- App css : -->
    <link rel="stylesheet" type="text/css"
          href="/static/consult_training/css/consult_training.css">
{% endblock %}

{% block include_js %}
    <script src="/static/consult_training/js/jquery-2.2.0.min.js"></script>
    <script src="/static/consult_training/js/datatables-1.10.11.min.js"></script>
    <!--script src="https://cdn.datatables.net/1.10.11/js/jquery.dataTables.min.js"></script-->
    <script src="/static/consult_training/js/datatables.responsive-2.0.2.min.js"></script>
    <!--script src="https://cdn.datatables.net/responsive/2.0.2/js/dataTables.responsive.min.js"></script-->
    <script src="/static/consult_training/js/leaflet-0.7.7.min.js"></script>
    <!--script src="http://cdn.leafletjs.com/leaflet/v0.7.7/leaflet.js"></script-->
    <script src="/static/consult_training/js/leaflet.markercluster-0.5.0.min.js"></script>
    <!--script src="https://cdnjs.cloudflare.com/ajax/libs/leaflet.markercluster/0.5.0/leaflet.markercluster.js"></script-->

    <!-- Format the datatable and add the map -->
    <script src="/static/consult_training/js/training_list.js"></script>
{% endblock %}

{% block content %}

  <div id="navbar2">
      <ul>
          <li style="float:left;"><h1>Liste des formations à venir</h1></li>
          <li>
              <a href="{% url 'admin:training_training_add' %}">
              <img src={% static "consult_training/img/lock.svg" %} class="icon_lock">
              Ajouter une formation</a>
          </li>
      </ul>
  </div> <!-- end div id="navbar2"> -->

  <div class="section group">

    <div class="col span_1_of_2">

      <div id="date_filter">
        <label>
          <span title="Date minimum de début de la formation" nowrap>
            &nbsp; &nbsp; &nbsp;Filtrer par date, du:
            <input type="date" id="filter_dtLow" value="aaaa-mm-jj" size="15">
          </span>
        </label>
        <label nowrap>
          <span title="Date maximale de début de la formation" nowrap>
            &nbsp;au:
            <input type="date" id="filter_dtHigh" value="aaaa-mm-jj" size="15">
          </span>
        </label>
        <button type="reset" value="Reset" id="reset_filters">Reset</button>
      </div>

      <table id="trainings-tbl" class="display" cellspacing="0">
        <thead>
          <tr>
            <th></th> <!--Show the details - TODO -->
            <th class="all" nowrap>Titre</th>
            <th title="Date de début">Date</th>
            <th style="display:none;">dtStart</th>
            <th class="none" style="display:none;">Heure de début :</th>
            <th class="none" style="display:none;">Date et heure de fin :</th>
            <th title="Agglomération">Agglo</th>
            <th title="Type">Type</th><!--class="none" class="desktop"-->
            <th title="Entités impliquées dans l'organisation">Entités</th>
            <th class="none" style="display:none;">Adresse : </th>
            <th style="display:none;" title="id" class="never"></th>
            <th style="display:none;" title="latitude" class="never"></th>
            <th style="display:none;" title="longitude" class="never"></th>
            <th></th> <!--Links : detail page and ical -->
          </tr>
        </thead>

        <tbody>

          {% for training in futur_training_list %}
          <tr>

            <td></td><!--Show the details - TODO -->
            <td class="tra_title"><a href=
                {% if training.tra_web %}
                    "{{ training.tra_web }}"
                {% else %}
                    "{% url 'consult_training_detail' training.tra_id  %}"
                {% endif %}>
                {{ training.tra_title | linebreaksbr }}
            </a></td>
            <td nowrap>{{ training.tra_dtstart|date:"j N Y" }}</td>
            <!--td nowrap>{{ training.tra_dtstart|date:"d b Y" }}</td-->
            <td>{{ training.tra_dtstart |date:"Y-m-d" }}</td>
            <!--td>{{ training.tra_dtend |date:"Y/m/d" }}</td-->
            <td style="display:none;">{{ training.tra_dtstart |time:"H:i" }}</td>
            <td style="display:none;">
                {{ training.tra_dtend |date:"j N Y" }},
                {{ training.tra_dtend |time:"H:i" }}
            </td>
            <td>{{ training.urb.urb_name }}</td>
            <td>{{ training.trt }}</td>
            <td>{{ training.get_contributors }}</td>
            <td style="display:none;">
              {% if training.tra_address %}
                {{ training.get_flat_address}}, {{ training.urb.ctr }}
              {% else %}
                {{ training.urb }}
              {% endif %}
            </td>
            <td style="display:none;">
                pk{{training.pk}}
            </td>
            <td style="display:none;">
                {{training.tra_latitude|stringformat:"f"}},
            </td>
            <td style="display:none;">
                {{training.tra_longitude|stringformat:"f"}},
            </td>
            <td nowrap>
                <a title="Lien vers la fiche détail"
                    href="{% url 'consult_training_detail' training.pk  %}">
                    <img src={% static "consult_training/img/icon_detail.png" %} class="icons">
                </a>
                <a title="Télécharger au format calendrier"
                    href="{% url 'api_home'%}trainings/{{training.pk}}?format=ical">
                    <img src={% static "consult_training/img/icon_ical.png" %} class="icons">
                </a>
            </td>
          </tr>
          {% endfor %} <!-- end "for training in futur_training_list" -->
        </tbody>
      </table>

    </div> <!-- end div class="col span_1_of_2"-->

    <div  id="training_map" class="col span_2_of_2">
    </div>

  </div> <!-- end div class="section group"-->

  <br><br><br><br>
{% endblock %} <!-- end block "content"-->